XML::ParserOptions - Crystal 1.4.1

# enum XML::ParserOptions

##
Defined in:

xml/parser_options.cr

##
Enum Members

RECOVER = `1`

  Recover on errors

NOENT = `2`

  Substitute entities

DTDLOAD = `4`

  Load the external subset

DTDATTR = `8`

  Default DTD attributes

DTDVALID = `16`

  Validate with the DTD

NOERROR = `32`

  Suppress error reports

NOWARNING = `64`

  Suppress warning reports

PEDANTIC = `128`

  Pedantic error reporting

NOBLANKS = `256`

  Remove blank nodes

SAX1 = `512`

  Use the SAX1 interface internally

XINCLUDE = `1024`

  Implement XInclude substitution

NONET = `2048`

  Forbid network access

NODICT = `4096`

  Do not reuse the context dictionary

NSCLEAN = `8192`

  Remove redundant namespaces declarations

NOCDATA = `16384`

  Merge CDATA as text nodes

NOXINCNODE = `32768`

  Do not generate XINCLUDE START/END nodes

COMPACT = `65536`

  Compact small text nodes; no modification of the tree allowed afterwards (will possibly crash if you try to modify the tree)

OLD10 = `131072`

  Parse using XML-1.0 before update 5

NOBASEFIX = `262144`

  Do not fixup XINCLUDE xml:base uris

HUGE = `524288`

  Relax any hardcoded limit from the parser

OLDSAX = `1048576`

  Parse using SAX2 interface before 2.7.0

IGNORE_ENC = `2097152`

  Ignore internal document encoding hint

BIG_LINES = `4194304`

  Store big lines numbers in text PSVI field

##
Constructors

- .default : self

  Returns default options for parsing XML documents.

##
Instance Method Summary

- #big_lines?
- #compact?
- #dtdattr?
- #dtdload?
- #dtdvalid?
- #huge?
- #ignore_enc?
- #nobasefix?
- #noblanks?
- #nocdata?
- #nodict?
- #noent?
- #noerror?
- #none?
- #nonet?
- #nowarning?
- #noxincnode?
- #nsclean?
- #old10?
- #oldsax?
- #pedantic?
- #recover?
- #sax1?
- #xinclude?

### Instance methods inherited from struct `Enum`

&(other : self) : self &, +(other : Int) : self +, -(other : Int) : self -, <=>(other : self) <=>, ==(other : self)
==(other) ==, ^(other : self) : self ^, clone clone, each(& : self -> ) each, hash(hasher) hash, includes?(other : self) : Bool includes?, to_f32 : Float32 to_f32, to_f32! : Float32 to_f32!, to_f64 : Float64 to_f64, to_f64! : Float64 to_f64!, to_i : Int32 to_i, to_i16 : Int16 to_i16, to_i16! : Int16 to_i16!, to_i32 : Int32 to_i32, to_i32! : Int32 to_i32!, to_i64 : Int64 to_i64, to_i64! : Int64 to_i64!, to_i8 : Int8 to_i8, to_i8! : Int8 to_i8!, to_json(json : JSON::Builder) to_json, to_s(io : IO) : Nil
to_s : String to_s, to_u16 : UInt16 to_u16, to_u16! : UInt16 to_u16!, to_u32 : UInt32 to_u32, to_u32! : UInt32 to_u32!, to_u64 : UInt64 to_u64, to_u64! : UInt64 to_u64!, to_u8 : UInt8 to_u8, to_u8! : UInt8 to_u8!, to_yaml(yaml : YAML::Nodes::Builder) to_yaml, |(other : self) : self |, ~ : self ~

### Constructor methods inherited from struct `Enum`

from_value(value : Int) : self from_value, from_value?(value : Int) : self? from_value?, new(ctx : YAML::ParseContext, node : YAML::Nodes::Node)
new(value : self)
new(pull : JSON::PullParser) new, parse(string : String) : self parse, parse?(string : String) : self? parse?

### Class methods inherited from struct `Enum`

each(& : self -> ) each, names : Array(String) names, valid?(value : self) : Bool valid?, values : Array(self) values

### Instance methods inherited from module `Comparable(Enum)`

<(other : T) : Bool <, <=(other : T) <=, <=>(other : T) <=>, ==(other : T) ==, >(other : T) : Bool >, >=(other : T) >=, clamp(min, max)
clamp(range : Range) clamp

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Constructor Detail

def self.default : self #

Returns default options for parsing XML documents.

Default flags are: `RECOVER` | `NOERROR` | `NOWARNING` | `NONET`

##
Instance Method Detail

def big_lines? #
def compact? #
def dtdattr? #
def dtdload? #
def dtdvalid? #
def huge? #
def ignore_enc? #
def nobasefix? #
def noblanks? #
def nocdata? #
def nodict? #
def noent? #
def noerror? #
def none? #
def nonet? #
def nowarning? #
def noxincnode? #
def nsclean? #
def old10? #
def oldsax? #
def pedantic? #
def recover? #
def sax1? #
def xinclude? #